
Instalables de gvSIG Batoví - Task #231
Preparar aplicación simplificada para visualizar Mapa temáticos y actividad para instalar
02/01/2012 01:42 PM - Jose Manuel Vivó Arnal

Status: Fixed Start date: 02/01/2012
Priority: Normal Due date: 02/03/2012
Assignee: Jose Manuel Vivó Arnal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v1.0.0-Beta1 Spent time: 0.00 hour
Description

Crear una pequeña aplicación que tenga sólo la capacidad de visualizar e instalar mapas temáticos para que pueda instalarse en los
equipos pequeños (256 RAM).

Botones que debe tener:

    -  Abrir Mapa
    -  Instalar Mapa
    -  Pan
    -  Zoom
    -  Medición
    -  InfoByPoint
    -  Mostrar/Ocular toc
    -  Salir

Añadir barra de estado:

    -  X/Y
    -  CRS
    -  Medida
    -  Escala

History
#1 - 02/01/2012 01:44 PM - Jose Manuel Vivó Arnal
- % Done changed from 0 to 10

Primer commit r122

#2 - 02/01/2012 05:38 PM - Jose Manuel Vivó Arnal
- % Done changed from 10 to 20

Cambios en el UI y añadida Barra de estado r123

#3 - 02/01/2012 06:06 PM - Jose Manuel Vivó Arnal
- % Done changed from 20 to 30

Añadido API para mostrar/ocultar Toc en ventana de visor (colapsando o restaurando el split pane).
Añadido boton en MapViewer.

r124

#4 - 02/01/2012 06:10 PM - Jose Manuel Vivó Arnal
- Description updated

#5 - 02/01/2012 06:10 PM - Jose Manuel Vivó Arnal
- Description updated

#6 - 02/01/2012 06:50 PM - Jose Manuel Vivó Arnal
- Description updated
- % Done changed from 30 to 50

Añadida herramienta de medición r125

#7 - 02/01/2012 07:11 PM - Jose Manuel Vivó Arnal

Añadida herramienta área r126

#8 - 02/01/2012 08:08 PM - Jose Manuel Vivó Arnal
- Description updated

Añadida herramienta de información r127

Con esto tenemos las funcionalidades requeridas para la aplicación completas

Ahora, para terminar la parte de aplicación, faltarán temas auxiliares:

    -  Iconos
    -  i18n
    -  Ajustes de memoria

#9 - 02/02/2012 11:17 AM - Jose Manuel Vivó Arnal
- % Done changed from 50 to 60

Añadido soporte de i18n y ajustado parámetros de log r128

#10 - 02/02/2012 01:31 PM - Jose Manuel Vivó Arnal

Añadidos iconos r129

#11 - 02/02/2012 06:42 PM - Jose Manuel Vivó Arnal
Arreglados problemas de visualización de datos de medir y área, y visualizar/ocultar TOC r132

#12 - 02/02/2012 06:43 PM - Jose Manuel Vivó Arnal
- % Done changed from 60 to 90

Ajustada la generación del paquete r133

#13 - 02/02/2012 07:04 PM - Jose Manuel Vivó Arnal
- Due date set to 02/02/2012
- Status changed from In progress to Fixed
- % Done changed from 90 to 100

ajustadas previsualización de simbología para que use el tamaño que tiene el checkbox en el L&F r135

#14 - 02/03/2012 11:49 AM - Jose Manuel Vivó Arnal
- Due date changed from 02/02/2012 to 02/03/2012

Subido cambios r137 :

    -  Nuevos cursores (mas grandes) para las herramientas.
    -  Arreglado el cierre del instalador.
    -  Herramienta de información selecciona automáticamente la capa si solo hay una en el TOC
